let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

type assetType = {
    modelUuid?: string;
    modelName?: string;
    assetId?: string;
    position?: [number, number, number];
    rotation?: { x: number; y: number; z: number; };
    isLocked?: boolean;
    isVisible?: boolean;
    eventData?: any;
    projectId?: string,
    versionId?: string
}

export const setAssetsApi = async (data: assetType) => {
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/V1/setAsset`, {
            method: "POST",
            headers: {
                Authorization: "Bearer <access_token>",
                "Content-Type": "application/json",
                token: localStorage.getItem("token") || "",
                refresh_token: localStorage.getItem("refreshToken") || "",
            },
            body: JSON.stringify(data),
        });
        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            localStorage.setItem("token", newAccessToken);
        }

        if (!response.ok) {
            echo.error("Failed to set or update Floor asset");
        }

        const result = await response.json();
        return result;
    } catch {
        echo.error("Failed to set or update Floor asset");
    }
};
